summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-wm/sawfish
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-wm/sawfish')
-rw-r--r--x11-wm/sawfish/Manifest1
-rw-r--r--x11-wm/sawfish/files/50sawfish-gentoo.el7
-rw-r--r--x11-wm/sawfish/files/sawfish-1.9.1-firefox.patch20
-rw-r--r--x11-wm/sawfish/metadata.xml13
-rw-r--r--x11-wm/sawfish/sawfish-1.9.1-r2.ebuild78
5 files changed, 119 insertions, 0 deletions
diff --git a/x11-wm/sawfish/Manifest b/x11-wm/sawfish/Manifest
new file mode 100644
index 00000000000..2a2817dda25
--- /dev/null
+++ b/x11-wm/sawfish/Manifest
@@ -0,0 +1 @@
+DIST sawfish-1.9.1.tar.xz 2616612 SHA256 c1751abf46a52dead8a50fa4b91c09ff0540cb9cc988c76ebfea0bee9edd0618 SHA512 243a818e2cc2546c040f33fbc076bbcc4033b88f0b4be573f9daa80b2dcfd8d9dc97384d236b9b71d6efe08ad39bfd3f3f31b5c055b9b268418efb7668e27a42 WHIRLPOOL 9293221e4a1c7cfddbf5dd619ac9fcd6e8da02723b651e4b62f9baa9e7d7c66d6f0967a960b097c6d9c9f7b7b79de94070733b0e80a1954d9ce477a6187d89fc
diff --git a/x11-wm/sawfish/files/50sawfish-gentoo.el b/x11-wm/sawfish/files/50sawfish-gentoo.el
new file mode 100644
index 00000000000..d1b6006e630
--- /dev/null
+++ b/x11-wm/sawfish/files/50sawfish-gentoo.el
@@ -0,0 +1,7 @@
+(add-to-list 'load-path "@SITELISP@")
+(autoload 'sawfish-mode "sawfish" nil t)
+(autoload 'sawfish-interaction "sawfish" nil t)
+(autoload 'sawfish-console "sawfish" nil t)
+(add-to-list 'auto-mode-alist '("\\.sawfishrc\\'" . sawfish-mode))
+(add-to-list 'auto-mode-alist '("\\.jl\\'" . sawfish-mode))
+(add-to-list 'auto-mode-alist '("\\.sawfish/rc\\'" . sawfish-mode))
diff --git a/x11-wm/sawfish/files/sawfish-1.9.1-firefox.patch b/x11-wm/sawfish/files/sawfish-1.9.1-firefox.patch
new file mode 100644
index 00000000000..6fb27bb820c
--- /dev/null
+++ b/x11-wm/sawfish/files/sawfish-1.9.1-firefox.patch
@@ -0,0 +1,20 @@
+X-Git-Url: http://git.tuxfamily.org/sawfish/main.git?p=sawfish%2Fmain.git;p=sawfish%2Fmain.git;a=blobdiff_plain;f=src%2Fwindows.c;h=053b95a9933b04a99301b300a5477e2ce3329cbd;hp=c6117e778ad157f9868c431efa934964b88897fd;hb=798c6992cc41f5ca7ec1bd4bd74d721a59820897;hpb=ec807ed20eecb401c3e11b3b04d375fc848ca4c1
+
+diff --git a/src/windows.c b/src/windows.c
+index c6117e7..053b95a 100644
+--- a/src/windows.c
++++ b/src/windows.c
+@@ -1297,6 +1297,13 @@ associated with WINDOW. Possible keys in the alist are `min-height',
+ hints = &VWIN(win)->hints;
+ flags = hints->flags;
+
++ /* workaround stuff like Firefox 17 that
++ * has enormous max-width/maxh-height */
++ if (hints->max_width >= 32767)
++ hints->max_width = 32767;
++ if (hints->max_height >= 32767)
++ hints->max_height = 32767;
++
+ /* Some sanity checking */
+ if ((flags & PMinSize)
+ && (hints->min_width < 0 || hints->min_height < 0))
diff --git a/x11-wm/sawfish/metadata.xml b/x11-wm/sawfish/metadata.xml
new file mode 100644
index 00000000000..cd6c593dee3
--- /dev/null
+++ b/x11-wm/sawfish/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ <description>This package lacks a primary herd or maintainer.</description>
+</maintainer>
+<maintainer>
+ <email>emacs@gentoo.org</email>
+ <description>Components installed with USE=emacs.
+ Do not assign for anything else.</description>
+</maintainer>
+</pkgmetadata>
diff --git a/x11-wm/sawfish/sawfish-1.9.1-r2.ebuild b/x11-wm/sawfish/sawfish-1.9.1-r2.ebuild
new file mode 100644
index 00000000000..a14c799424a
--- /dev/null
+++ b/x11-wm/sawfish/sawfish-1.9.1-r2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils elisp-common
+
+DESCRIPTION="Extensible window manager using a Lisp-based scripting language"
+HOMEPAGE="http://sawfish.wikia.com/"
+SRC_URI="http://download.tuxfamily.org/sawfish/${P}.tar.xz"
+
+LICENSE="GPL-2 Artistic-2"
+SLOT="0"
+KEYWORDS="alpha amd64 ia64 ppc ~ppc64 ~sh sparc x86 ~x86-fbsd"
+IUSE="emacs nls xinerama"
+
+RDEPEND="emacs? ( virtual/emacs !app-emacs/sawfish )
+ >=dev-libs/librep-0.92.1
+ >=x11-libs/rep-gtk-0.90.7
+ x11-libs/pangox-compat
+ >=x11-libs/gtk+-2.24.0:2
+ x11-libs/libXtst
+ nls? ( sys-devel/gettext )
+ xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ virtual/pkgconfig"
+
+src_prepare() {
+ # Fix firefox resizing problems, bug #462016
+ epatch "${FILESDIR}/${P}-firefox.patch"
+}
+
+src_configure() {
+ set -- \
+ $(use_with xinerama) \
+ --with-gdk-pixbuf \
+ --disable-static
+
+ if ! use nls; then
+ # Use a space because configure script reads --enable-linguas="" as
+ # "install everything"
+ # Don't use --disable-linguas, because that means --enable-linguas="no",
+ # which means "install Norwegian translations"
+ set -- "$@" --enable-linguas=" "
+ elif [[ "${LINGUAS+set}" == "set" ]]; then
+ strip-linguas -i po
+ set -- "$@" --enable-linguas=" ${LINGUAS} "
+ else
+ set -- "$@" --enable-linguas=""
+ fi
+
+ econf "$@"
+}
+
+src_compile() {
+ emake
+ use emacs && elisp-compile sawfish.el
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ prune_libtool_files --modules
+ dodoc AUTHORS ChangeLog DOC FAQ NEWS OPTIONS README README.IMPORTANT TODO
+
+ if use emacs; then
+ elisp-install ${PN} sawfish.{el,elc}
+ elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}